Subject: RE: [Sip] 2XX, in resonse to MESSAGE; MUST NOT contain Contact header fld, WHY ?

From: [email-masked]
Date: Fri, 21 May 2004 14:54:11 +0530

Hi
    I feel since the 200 OK for the MESSAGE does not indicate that the
message is actually read, there is no need for the receipient to insert
Contact header in 200 OK.
so since MESSAGE does not establish any dialog, there is no chat like
scenrio where the sender again sends message. 
 
Any comments ?
 
Regards 
Ranjit 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Vishnu
Yadav
Sent: Friday, May 21, 2004 1:11 PM
To: [email-masked]
Subject: [Sip] 2XX, in resonse to MESSAGE; MUST NOT contain Contact
header fld, WHY ?

2xx, sent by UAS in response to MESSAGE request must not contain Contact
header in it. Why is it so ? 
 
Thanx
Vishnu Yadav

********************************DISCLAIMER******************************
****

This e-mail and any attachment is for authorised use by the intended

recipient(s) only. It may contain proprietary material, confidential

information and/or be subject to legal privilege of Deccanet Designs
Ltd.

If you have received this message in error, please notify the originator

immediately. If you are not the intended recipient, you are notified
that

you are strictly prohibited from retaining, using, copying, altering or

disclosing the contents of this message.

************************************************************************
****

---

From: Aki Niemi <[email-masked]>
Date: Fri, 21 May 2004 12:54:33 +0300

Hi,

> Contact header in 200 OK.

I don't see what these things have to do with each other...

> scenrio where the sender again sends message.

This is pretty much the reason for the restriction. As you say, the 
MESSAGE method does not establish a dialog, or any pseudo-session for 
that matter. MESSAGEs are always sent to the AoR, and the MUST NOT is 
there to discourage anyone even trying to do messaging sessions using 
the MESSAGE method and Contact addresses.

draft-ietf-message-sessions-06 describes the right way to do message 
sessions.

Cheers,
Aki

>     *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of
>     *Vishnu Yadav
>     *Sent:* Friday, May 21, 2004 1:11 PM
>     *To:* [email-masked]
>     *Subject:* [Sip] 2XX, in resonse to MESSAGE; MUST NOT contain
>     Contact header fld, WHY ?
> 
>     2xx, sent by UAS in response to MESSAGE request must not contain
>     Contact header in it. Why is it so ?
>      
>     Thanx
>     Vishnu Yadav
> 
> ********************************DISCLAIMER**********************************
> 
> information and/or be subject to legal privilege of Deccanet Designs Ltd.
> immediately. If you are not the intended recipient, you are notified that
> ****************************************************************************

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip